org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class SCMUploaderNotifyRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.SCMUploaderNotifyRequest
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.SCMUploaderNotifyRequestPBImpl

-     public class SCMUploaderNotifyRequestPBImpl
      extends SCMUploaderNotifyRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMUploaderNotifyRequestPBImpl()`
    `SCMUploaderNotifyRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.SCMUploaderNotifyRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileName()` Get the filename of the resource that was just uploaded to the shared cache.
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.SCMUploaderNotifyRequestProto` | `getProto()`
    `String` | `getResourceKey()` Get the `key` of the resource that was just uploaded to the shared cache.
    `void` | `setFilename(String filename)` Set the filename of the resource that was just uploaded to the shared cache.
    `void` | `setResourceKey(String key)` Set the `key` of the resource that was just uploaded to the shared cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMUploaderNotifyRequestPBImpl

          public SCMUploaderNotifyRequestPBImpl()

    - #### SCMUploaderNotifyRequestPBImpl

          public SCMUploaderNotifyRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.SCMUploaderNotifyRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.SCMUploaderNotifyRequestProto getProto()

    - #### getResourceKey

          public String getResourceKey()

      Description copied from class: `SCMUploaderNotifyRequest`
      Get the `key` of the resource that was just uploaded to the shared cache.
      Specified by:
        `getResourceKey` in class `SCMUploaderNotifyRequest`
      Returns:
        `key`

    - #### setResourceKey

          public void setResourceKey(String key)

      Description copied from class: `SCMUploaderNotifyRequest`
      Set the `key` of the resource that was just uploaded to the shared cache.
      Specified by:
        `setResourceKey` in class `SCMUploaderNotifyRequest`
      Parameters:
        `key` - unique identifier for the resource

    - #### getFileName

          public String getFileName()

      Description copied from class: `SCMUploaderNotifyRequest`
      Get the filename of the resource that was just uploaded to the shared cache.
      Specified by:
        `getFileName` in class `SCMUploaderNotifyRequest`
      Returns:
        the filename

    - #### setFilename

          public void setFilename(String filename)

      Description copied from class: `SCMUploaderNotifyRequest`
      Set the filename of the resource that was just uploaded to the shared cache.
      Specified by:
        `setFilename` in class `SCMUploaderNotifyRequest`
      Parameters:
        `filename` - the name of the file

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.